Skip to main content
Cards

Update card

This method requires the Cards:Update permission to be associated with your role.

PUT
/fm/cards/{card_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
card_idstringrequired

Card Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]{0,9}$
Delegated-Locking-Session-Idstringheader

(Optional) Locking responsibility will be delegated to the specified Session Id.

This header enables the client to instruct the API to merely verify the presence of locks with the specified session id, but not attempt to obtain them itself. It requires the DelegatedLocking permission to be associated with your role.

Maximum string length: 32
Pattern: ^[0-9a-f]{32}$
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON payload

account_numberstring
activated_datestring
card_numberstring
card_sub_status_idstring
client_id_rechargestring
contract_idstring
expiry_datestring
history_only_flagenum<string>default:no
Available options: no, yes
inactivated_datestring
notesstring
posting_flagenum<string>default:yes
Available options: no, yes
recharge_flagenum<string>default:no
Available options: no, yes
status_flagenum<string>default:active
Available options: active, inactive
supplier_idstring

Response

application/vnd.catch-e-api.v1+json

Card updated successfully

account_numberstring
activated_datestring
card_idstring
card_numberstring
card_sub_status_idstring
client_id_rechargestring
contract_idstring
expiry_datestring
history_only_flagenum<string>default:no
Available options: no, yes
inactivated_datestring
notesstring
posting_flagenum<string>default:yes
Available options: no, yes
recharge_flagenum<string>default:no
Available options: no, yes
status_flagenum<string>default:active
Available options: active, inactive
supplier_idstring